### Constructor

# Gtk DropTargetnew

#### Declaration [src]

    GtkDropTarget*
    gtk_drop_target_new (
      GType type,
      GdkDragAction actions
    )

#### Description [src]

Creates a new `GtkDropTarget` object.

If the drop target should support more than 1 type, pass `G_TYPE_INVALID` for `type` and then call `gtk_drop_target_set_gtypes()`.

#### Parameters

`type`

  Type: `GType`

  The supported type or `G_TYPE_INVALID`.

`actions`

  Type: `GdkDragAction`

  The supported actions.

#### Return value

Type: `GtkDropTarget`

The new `GtkDropTarget`

The caller of the function takes ownership of the data, and is responsible for freeing it.